Subject: [alsa-devel] [PATCH] ASoC: fsl: select SND_SOC_IMX_PCM_DMA where needed

From: [email-masked] (Lars-Peter Clausen)
Date: Tue, 29 Apr 2014 16:30:43 +0200

On 04/29/2014 03:30 PM, Arnd Bergmann wrote:
> On Tuesday 29 April 2014 12:57:24 Lars-Peter Clausen wrote:
>> On 04/29/2014 12:37 PM, Arnd Bergmann wrote:
>>> On Tuesday 29 April 2014 07:07:33 Alexander Shiyan wrote:
>>>> Mon, 28 Apr 2014 23:12:14 +0200 ?? Arnd Bergmann <[email-masked]>:
>>>>> On Tuesday 29 April 2014 00:35:41 Alexander Shiyan wrote:
>>>>>>
>>>>>> So, I don't understand why this error happen, as well as I can not
>>>>>> reproduce this...
>>>>>
>>>>> It's probably CONFIG_SND_SOC_IMX_PCM_DMA=m and CONFIG_SND_SOC_FSL_SSI=y then.
>>>>> What is the intended behavior in this case? Should CONFIG_SND_SOC_FSL_SSI
>>>>> be forced to be a module as well?
>>>>
>>>> Hmm, yes...
>>>> I thought that I had already solved a similar problem for the earlier
>>>> version of the patch ...
>>>
>>> How about this?
>>
>> Having FSL_SSI/FSL_SPDIF, but not SND_SOC_IMX_PCM_DMA does not make sense on
>> iMX.
>> So how about:
>>
>>          select SND_SOC_IMX_PCM_DMA if SND_IMX_SOC
>>
>> and remove all the other 'select SND_SOC_IMX_PCM_DMA' statements. That's in
>> my opinion much nicer.
>
> Yes, makes sense. Should I do another version of the patch?

Yes. The patch should also add a select for SND_SOC_IMX_PCM_FIQ as that is 
used in the same way in the fsl_ssi driver. If anybody is afraid that 
selecting both SND_SOC_IMX_PCM_FIQ and SND_SOC_IMX_PCM_DMA by default adds 
too much overhead you could add boolean sub-options that allow to 
enable/disable support individually.

- Lars